# Create custom oauth provider

Create a custom social login provider using the OAuth details of the identity provider.

Provide the required OAuth parameters in the request body.

Endpoint: POST /resources/sso/custom/v1
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Request fields (application/json):

  - `type` (string, required)

  - `clientId` (string, required)

  - `secret` (string, required)

  - `redirectUrl` (string, required)

  - `authorizationUrl` (string, required)

  - `tokenUrl` (string, required)

  - `userInfoUrl` (string, required)

  - `scopes` (string, required)

  - `ssoLogoUrl` (string, required)

  - `displayName` (string, required)

  - `active` (boolean, required)

